> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.elacity.ai/llms.txt.
> For full documentation content, see https://docs.elacity.ai/llms-full.txt.

# Create registry

POST /api/registries
Content-Type: application/json

Create a new PRM registry for an organization

Reference: https://docs.elacity.ai/api-reference/elacity-prm-api/registries/prm-registry-create

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: openapi
  version: 1.0.0
paths:
  /registries:
    post:
      operationId: prm-registry-create
      summary: Create registry
      description: Create a new PRM registry for an organization
      tags:
        - subpackage_registries
      parameters:
        - name: X-API-Key
          in: header
          description: API key for programmatic access
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Registries_prm.registry.create_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                registryRef:
                  type: string
                visibility:
                  $ref: >-
                    #/components/schemas/RegistriesPostRequestBodyContentApplicationJsonSchemaVisibility
              required:
                - registryRef
                - visibility
servers:
  - url: /api
components:
  schemas:
    RegistriesPostRequestBodyContentApplicationJsonSchemaVisibility:
      type: string
      enum:
        - public
        - private
      title: RegistriesPostRequestBodyContentApplicationJsonSchemaVisibility
    Registries_prm.registry.create_Response_200:
      oneOf:
        - description: Any type
        - description: Any type
      title: Registries_prm.registry.create_Response_200
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key for programmatic access

```

## SDK Code Examples

```python
import requests

url = "https://api/registries"

payload = {
    "registryRef": "string",
    "visibility": "public"
}
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api/registries';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"registryRef":"string","visibility":"public"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api/registries"

	payload := strings.NewReader("{\n  \"registryRef\": \"string\",\n  \"visibility\": \"public\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api/registries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"registryRef\": \"string\",\n  \"visibility\": \"public\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api/registries")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"registryRef\": \"string\",\n  \"visibility\": \"public\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api/registries', [
  'body' => '{
  "registryRef": "string",
  "visibility": "public"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api/registries");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"registryRef\": \"string\",\n  \"visibility\": \"public\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "registryRef": "string",
  "visibility": "public"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api/registries")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```